Bug 19987 - If no z39.50/SRU servers, the z39.50/SRU buttons should not show
Summary: If no z39.50/SRU servers, the z39.50/SRU buttons should not show
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Grace
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 20430 20047
  Show dependency treegraph
 
Reported: 2018-01-16 23:37 UTC by Aleisha Amohia
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19987: If no z39.50/SRU servers the button should not show (5.06 KB, patch)
2018-01-18 01:25 UTC, Grace
Details | Diff | Splinter Review
Bug 19987: If no z39.50/SRU servers the button should not show (4.21 KB, patch)
2018-01-18 20:32 UTC, Grace
Details | Diff | Splinter Review
Bug 19987: If no z39.50/SRU servers the button should not show (4.56 KB, patch)
2018-01-19 13:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19987: If no z39.50/SRU servers the button should not show (4.61 KB, patch)
2018-01-19 15:39 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-16 23:37:46 UTC
In cataloguing and in authorities, we can import bibliographic records and authorities through z39.50/SRU servers, however if we have none set up (in system administration) then these buttons should not show.
Comment 1 Grace 2018-01-18 01:25:51 UTC
Created attachment 70659 [details] [review]
Bug 19987: If no z39.50/SRU servers the button should not show

Test plan:
[1.] Load the patch and make sure you have some Z39.50/SRU servers
(Administration => Z39.50/SRU servers administration)
[2.] Then go to authorities and notice that the 'New from Z39.50/SRU' button is
there
[3.] Next go to cataloging and notice that the 'New from Z39.50/SRU' button
is there too
[4.] Now make sure you have no Z39.50/SRU servers (remove the servers)
(Administration => Z39.50/SRU servers administration)
[5.] Go to authorities and notice that the 'New from Z39.50/SRU' button
is not there
[6.] Lastly go to cataloging and notice that the 'New from Z39.50/SRU'
button is not there too
Comment 2 Owen Leonard 2018-01-18 14:00:10 UTC
Does this patch depend on another one? It doesn't apply for me on master.
Comment 3 Grace 2018-01-18 20:32:38 UTC
Created attachment 70709 [details] [review]
Bug 19987: If no z39.50/SRU servers the button should not show

Test plan:
[1.] Load the patch and make sure you have some Z39.50/SRU servers
(Administration => Z39.50/SRU servers administration)
[2.] Then go to authorities and notice that the 'New from
Z39.50/SRU' button is
there
[3.] Next go to cataloging and notice that the 'New from Z39.50/SRU'
button
is there too
[4.] Now make sure you have no Z39.50/SRU servers (remove the
        servers)
(Administration => Z39.50/SRU servers administration)
[5.] Go to authorities and notice that the 'New from Z39.50/SRU'
button
is not there
[6.] Lastly go to cataloging and notice that the 'New from    Z39.50/SRU'
Z39.50/SRU'
button is not there too

:)
Comment 4 Owen Leonard 2018-01-19 13:27:12 UTC
Created attachment 70744 [details] [review]
Bug 19987: If no z39.50/SRU servers the button should not show

Test plan:
[1.] Load the patch and make sure you have some Z39.50/SRU servers
     (Administration => Z39.50/SRU servers administration)
[2.] Then go to authorities and notice that the 'New from
     Z39.50/SRU' button is there
[3.] Next go to cataloging and notice that the 'New from Z39.50/SRU'
     button is there too
[4.] Now make sure you have no Z39.50/SRU servers (remove the
     servers)
     (Administration => Z39.50/SRU servers administration)
[5.] Go to authorities and notice that the 'New from Z39.50/SRU'
     button is not there
[6.] Lastly go to cataloging and notice that the 'New from Z39.50/SRU'
     button is not there too

:)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

I added a missing [% END %] during signoff. Hope no one minds!
Comment 5 Owen Leonard 2018-01-19 13:30:46 UTC
A good follow-up would be to address the pages in Acquisitions which let you add to a basket from Z39.50 ("From an external source"). The link is in acquisitions-add-to-basket.inc which is included in acqui/basket.tt, acqui/booksellers.tt, and acqui/neworderbiblio.tt.
Comment 6 Nick Clemens 2018-01-19 15:39:26 UTC
Created attachment 70754 [details] [review]
Bug 19987: If no z39.50/SRU servers the button should not show

Test plan:
[1.] Load the patch and make sure you have some Z39.50/SRU servers
     (Administration => Z39.50/SRU servers administration)
[2.] Then go to authorities and notice that the 'New from
     Z39.50/SRU' button is there
[3.] Next go to cataloging and notice that the 'New from Z39.50/SRU'
     button is there too
[4.] Now make sure you have no Z39.50/SRU servers (remove the
     servers)
     (Administration => Z39.50/SRU servers administration)
[5.] Go to authorities and notice that the 'New from Z39.50/SRU'
     button is not there
[6.] Lastly go to cataloging and notice that the 'New from Z39.50/SRU'
     button is not there too

:)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

I added a missing [% END %] during signoff. Hope no one minds!

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Jonathan Druart 2018-01-19 18:54:27 UTC
Patch pushed to master for 18.05.

Congratulations Grace for your first patch in!
Comment 8 Nick Clemens 2018-01-23 04:11:42 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 9 Fridolin SOMERS 2018-01-31 08:02:17 UTC
Pushed to 17.05.x for v17.05.09